import { Component } from '@angular/core';
import { NzMessageService } from 'ng-zorro-antd';
import { SettingsService } from '@delon/theme';
import {Router} from '@angular/router';

@Component({
  selector   : 'app-sidebar',
  templateUrl: './sidebar.component.html'
})
export class SidebarComponent {
    constructor(
        private router: Router,
        public settings: SettingsService,
        public msgSrv: NzMessageService) {
    }

    logout() {
        this.router.navigateByUrl('/passport/login');
    }
}
